List topics
curl --request GET \
--url https://api.railmail.app/api/v1/topics \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.railmail.app/api/v1/topics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.railmail.app/api/v1/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"topicKey": "APIT-1",
"name": "Newsletter",
"description": "Weekly news",
"status": "ACTIVE",
"doubleOptInEnabled": true,
"subscriberCount": 1200,
"activeSubscriberCount": 1180,
"createdAt": "2026-06-01T09:00:00Z"
}
],
"pagination": {
"page": 0,
"size": 20,
"totalElements": 1,
"totalPages": 1,
"hasNext": false,
"hasPrevious": false
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"errors": {}
}Topics
List topics
Lists subscription topics in the project. Requires scope: topics:read. Tenancy: scoped to the API key’s project.
GET
/
api
/
v1
/
topics
List topics
Authorizations
Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....
Query Parameters
Zero-based page index.
Required range:
x >= 0Page size, clamped to a maximum of 100.
Required range:
1 <= x <= 100